
#include "reg24lu1.h"
#include "main.h"
#include "nRF24L01.h"

void delay(INT16U x)
{
    INT16U i,j;
    i=0;
    for(i=0;i<x;i++)
    {
       j=108;
           ;
       while(j--);
    }
}

INT8U SPI_ExchangeByte( INT8U dt )
{
    RFDAT = dt;
    RFSPIF = 0;     // ! IMPORTANT ! Clear RF SPI ready flag
                  // after data written to RFDAT..
    while(!RFSPIF); // wait for byte transfer finished
    ;
    return RFDAT;   // return SPI read value
}

void rf_init(void)
{
  	RFCE = 0;                                   		// RFر
  	RFCKEN = 1;                                 		// RFʱ
  	RF = 1;                                     		// RFж

	delay(1000);
	
	L01_Init( );
}

//RF interrupt
INT8U rf_flag = 0;
void RF_IRQ( void )	interrupt INTERRUPT_RFIRQ
{
	INT8U i = L01_ReadIRQSource( );
    	
	if( i & ( 1<<RX_DR ) )		//Received data
	{
        rf_flag |= ( 1<<1 );
	}
	if( i & ( 1<<TX_DS ) )		//Send data OK
	{
        rf_flag |= ( 1<<2 );
	}
	if( i & ( 1<<MAX_RT ) )		//Send data fail
	{
        rf_flag |= ( 1<<3 );
	}
	L01_ClearIRQ( IRQ_ALL );   
}
void main(void)
{
    CLKCTL=0;
	P0DIR = 0;
	P0 |= ( 1<<3 );
	RFCE=0;
	RFCTL=0X10; 
	rf_init();									// RFʼ                            
  	EA=1;                                       // ж	 
	while(1)
	{
		L01_SetTXMode( );
		L01_WriteTXPayload_Ack( ( INT8U* )"123\r\n", 5 );
		RFCE=1;									// 
        while( rf_flag == 0 );                 // ȴ
        if( (  rf_flag & ( 1<<2 ) ) )
        {
            P0 ^=( 1<<3 );
        }            
		RFCE=0;					
		rf_flag = 0;
		delay(5000);
	}
}              			